Sheets

Get your export progress

GET
/v1/space/sheet-exports/{export_id}
curl -X GET "https://api.orchestor.io/v1/space/sheet-exports/%3Cexport_id%3E" \  -H "Authorization: Bearer $API_KEY" \  -H "X-Workspace-ID: wks_abc123"
{  "data": {    "completed_rows": 0,    "created_at": "2026-01-01T00:00:00Z",    "expires_at": "2026-01-01T00:00:00Z",    "filename": "<string>",    "format": "csv",    "id": "550e8400-e29b-41d4-a716-446655440000",    "sheet_id": "<string>",    "status": "queued",    "tab_id": "<string>",    "total_rows": 0  }}

Get your Orchestor API key

Create an API key in your workspace settings.

Authorizations

Satisfy one of these options:

  • Session cookie
  • API key

Authentication details

cookie
wos-session

Browser session established by signing in to the web app. The server checks your workspace membership and permissions. Supply X-Workspace-ID for workspace-scoped operations. For server-to-server requests, use an API key when the operation supports it.

Path Parameters

export_idstringpathrequiredformat:uuid

Headers

X-Workspace-IDstringheader

Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.

Example"wks_abc123"

Response

application/json

Private export job; download available for 24 hours

dataobjectrequired
data.completed_rowsintegerrequired
Value range
≥ 0
data.created_atstringrequiredformat:date-time
data.expires_atstringrequiredformat:date-time
data.filenamestringrequired
data.formatstringenum<string>required
Allowed
csvxlsxjson
data.idstringrequiredformat:uuid
data.sheet_idstringrequired
data.statusstringenum<string>required
Allowed
queuedprocessingcompletedfailed
data.tab_idstringrequired
data.total_rowsintegerrequired
Value range
≥ 0